Loading...
Searching...
No Matches
ForceFields::CrystalFF::PlanarityContribsParams Struct Reference

`#include <PlanarityContribs.h>`

## Public Member Functions

| PlanarityContribsParams (std::size_t idx1, std::size_t idx2, std::size_t idx3, std::size_t idx4, double forceConstant=1.0)

## Public Attributes

std::size_t | idx1 {0}
std::size_t | idx2 {0}
std::size_t | idx3 {0}
std::size_t | idx4 {0}
double | forceConstant {1.0}

## Detailed Description

Definition at line 21 of file PlanarityContribs.h.

## Constructor & Destructor Documentation

## PlanarityContribsParams()

ForceFields::CrystalFF::PlanarityContribsParams::PlanarityContribsParams | ( | std::size_t | idx1,
|  | std::size_t | idx2,
|  | std::size_t | idx3,
|  | std::size_t | idx4,
|  | double | forceConstant = 1.0 )

inline

Definition at line 27 of file PlanarityContribs.h.

References forceConstant, idx1, idx2, idx3, and idx4.

## Member Data Documentation

## forceConstant

double ForceFields::CrystalFF::PlanarityContribsParams::forceConstant {1.0}

Definition at line 26 of file PlanarityContribs.h.

Referenced by PlanarityContribsParams().

## idx1

std::size_t ForceFields::CrystalFF::PlanarityContribsParams::idx1 {0}

Definition at line 22 of file PlanarityContribs.h.

Referenced by PlanarityContribsParams().

## idx2

std::size_t ForceFields::CrystalFF::PlanarityContribsParams::idx2 {0}

Definition at line 23 of file PlanarityContribs.h.

Referenced by PlanarityContribsParams().

## idx3

std::size_t ForceFields::CrystalFF::PlanarityContribsParams::idx3 {0}

Definition at line 24 of file PlanarityContribs.h.

Referenced by PlanarityContribsParams().

## idx4

std::size_t ForceFields::CrystalFF::PlanarityContribsParams::idx4 {0}

Definition at line 25 of file PlanarityContribs.h.

Referenced by PlanarityContribsParams().

The documentation for this struct was generated from the following file:

- PlanarityContribs.h